Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
hideGenerationTimestamp | Hides the generation timestamp when files are generated. |  | true

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- binary_t*
- double
- char
- short
- Object
- float
- list
- int
- long
- list_t*

##
RESERVED WORDS

- struct
- auto
- const
- _static_assert
- _atomic
- _complex
- for
- extern
- do
- float
- restrict
- while
- long
- remove
- switch
- _generic
- default
- _alignof
- goto
- continue
- else
- _noreturn
- if
- case
- _bool
- static
- void
- break
- sizeof
- double
- signed
- volatile
- union
- _thread_local
- typedef
- enum
- int
- inline
- _alignas
- _imaginary
- char
- short
- unsigned
- return
- register

Last updated on 1/9/2020